Bug 138665 - processes without names displayed
processes without names displayed
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-system-monitor (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Søren Sandmann Pedersen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-10 11:03 EST by Need Real Name
Modified: 2014-06-18 05:07 EDT (History)
4 users (show)

See Also:
Fixed In Version: fc4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-07 22:06:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2004-11-10 11:03:25 EST
Gnome system monitor process list shows some processes with null in
the name field
Comment 1 Ian Laurie 2004-12-22 19:28:35 EST
I have reported this on GNOME's Bugzilla:

http://bugzilla.gnome.org/show_bug.cgi?id=162038

Any chance of a fix to this?
Comment 2 Ian Laurie 2004-12-22 21:35:22 EST
I have a fix for this.

Download gnome-system-monitor-2.8.1 from:

http://ftp.gnome.org/pub/GNOME/desktop/2.8/2.8.2/sources/gnome-system-monitor-2.8.1.tar.gz

Due to a version bug in their spec file, you can't just rpmbuild it. 
Remove the spec file from the archive and edit the version near the
top of the file from 2.3.0 to 2.8.1.  Put the modified spec file back
into the original archive, then issue the following command from
within the same directory as the archive:

rpmbuild -ta gnome-system-monitor-2.8.1.tar.gz

The rpmbuild will actually fail (sigh!) but the bianry will already
have been built, and will live in:

/var/tmp/gnome-system-monitor-root/usr/bin

Run the binary, it should work, it does for me.  

I've suggested to the GNOME guys they fix their spec files.

http://bugzilla.gnome.org/show_bug.cgi?id=162038

Hope this helps.  Maybe can the Fedora team release this binary as a
general update?

Comment 3 Darren Brierton 2005-02-01 04:34:53 EST
I am also experiencing this problem: FC3, all updates installed, and
gnome-system-monitor-2.7.0-2. Screenshot here:

http://www.dzr-web.com/gnome-system-monitor.png

Any chance of an update?
Comment 4 Jim Cornette 2005-02-02 22:03:25 EST
I noticed the same problem checking all processes.
gnome-system-monitor-2.7.0-2
Comment 5 Ian Laurie 2005-02-21 00:53:46 EST
RHEL 4 has this same bug.  However my fix in Comment #2 works in RHEL 4 as well.
Comment 6 petrosyan 2005-06-16 13:14:09 EDT
This bug has been fixed in Fedora Core 4.
Comment 7 Jim Cornette 2006-02-05 23:17:18 EST
The status of this bug was not closed. I was cc'd on this and cannot close the
bug report myself. See comment #6
Comment 8 Matthew Miller 2006-07-10 17:04:35 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!

Note You need to log in before you can comment on or make changes to this bug.